# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic
Versioning](http://semver.org/spec/v2.0.0.html).

## Unreleased

## [2.1.0] - 2020-08-28

### Changed
- Update to latest plugin sdk
- Mark token argument as secret, preventing token envvar value from leaking into usage message
- Clean up logging messages to use inventory and job template ID consistently, for cases where inventory and job template name strings are not specified. The ID is always canonical and must exist for a valid request.
- Add --skip-validation cmdline argument to override requested occurance and severity matching.
- Add --strict cmdline argument to specify that occurences and severity must be included in annotated job template requests, instead of relying on Sensu's monitoring pipeline filtering.
- Add --insecure-skip-tls-verify cmdline argument

### Fixed
- Make it possible to use cmdline arguments for job template request attributes and associated envvar values when annotated job requests do not include attributes.

### Added
- Initial test coverage for processEvent

## [2.0.0] - 2020-06-16

### Changed
- Enforce hard requirements for a valid Sensu license (Sensu Go >= 5.21 required)
- Use go 1.13.x for builds
- Update Sensu Go and SDK dependencies with the correct modules
